<template>
  <content-loader
    :height="height"
    :speed="2"
    :width="width"
    primary-color="#e0e0e0"
    secondary-color="#faf9f9"
  >
    <rect
      :height="rowHeight"
      :width="width"
      rx="5"
      ry="5"
      x="0"
      y="0"
    />
    <rect
      v-for="i in numRows"
      :key="`1.${i}`"
      :height="rowHeight"
      :y="i * (rowHeight + rowPadding)"
      rx="5"
      ry="5"
      width="140"
      x="0"
    />
    <rect
      v-for="i in numRows"
      :key="`2.${i}`"
      :height="rowHeight"
      :y="i * (rowHeight + rowPadding)"
      rx="5"
      ry="5"
      width="150"
      x="145"
    />
    <rect
      v-for="i in numRows"
      :key="`3.${i}`"
      :height="rowHeight"
      :y="i * (rowHeight + rowPadding)"
      rx="5"
      ry="5"
      width="150"
      x="300"
    />
    <rect
      v-for="i in numRows"
      :key="`4.${i}`"
      :height="rowHeight"
      :y="i * (rowHeight + rowPadding)"
      rx="5"
      ry="5"
      width="280"
      x="455"
    />
    <rect
      v-for="i in numRows"
      :key="`5.${i}`"
      :height="rowHeight"
      :y="i * (rowHeight + rowPadding)"
      rx="5"
      ry="5"
      width="260"
      x="740"
    />
  </content-loader>
</template>

<script lang="ts">
import Vue from 'vue';
import { ContentLoader } from 'vue-content-loader';

export default Vue.extend({
  components: {
    ContentLoader,
  },

  props: {
    height: {
      default: 200,
      required: false,
      type: Number,
    },
    width: {
      default: 1000,
      required: false,
      type: Number,
    },
    numRows: {
      default: 5,
      required: false,
      type: Number,
    },
    rowPadding: {
      default: 5,
      required: false,
      type: Number,
    },
  },

  computed: {
    rowHeight() {
      return (this.height - this.rowPadding * this.numRows) / (this.numRows + 1);
    },
  },
});
</script>
